summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorLuke Shumaker <LukeShu@sbcglobal.net>2013-09-13 17:50:45 -0400
committerLuke Shumaker <LukeShu@sbcglobal.net>2013-09-13 17:50:45 -0400
commitc6848ec0e16f193a06195921c669e2bf9c014c5c (patch)
tree40b282204acc5887156a479b8e78ec25243c8f38 /src
parenteeba3ea0411078424d8f0d127d792618c2a929d3 (diff)
libremakepkg: I can't believe committed my debug statements.
Diffstat (limited to 'src')
-rwxr-xr-xsrc/chroot-tools/libremakepkg8
1 files changed, 3 insertions, 5 deletions
diff --git a/src/chroot-tools/libremakepkg b/src/chroot-tools/libremakepkg
index 22e7a7f..c979b71 100755
--- a/src/chroot-tools/libremakepkg
+++ b/src/chroot-tools/libremakepkg
@@ -61,12 +61,12 @@ exit_copy() {
run_hook() {
local hookname=$1; shift
local hookvar="hook_${hookname}[@]"
+
local fails=()
- msg "Running hook: %s" "$hookname"
for hook in "${!hookvar}"; do
- msg2 'hook: %s' "$hook"
"$hook" "$@" || { error "result: %s" $?; fails+=("$hook"); }
done
+
if [[ ${#fails[@]} -gt 0 ]]; then
error "Failure(s) in %s: %s" "$hookname" "${fails[*]}"
return 1
@@ -236,12 +236,10 @@ main() {
# Build
trap "exit_copy '$copydir' '$LIBREUSER'" EXIT
- warning 'Entering build...'
build "$copydir" "${makepkg_args[@]}"
+
# Post-build
- warning 'Entering hook check_pkg...'
run_hook check_pkg
- warning 'Entering add_to_local_repo ...'
add_to_local_repo "$copydir" "$copydir"/pkgdest/*.pkg.tar*
}